#define NESVIDEOS_TRACKING 0

#ifdef __cplusplus
extern "C" {
#else
#endif


extern void TILE_TrackFrame(const unsigned char*data, unsigned width, unsigned height,
                            const int x_offs,
                            const int y_offs
                           );
extern void TILE_ForceSave();
extern void TILE_SaveScroll(unsigned H, unsigned V, int scanline);
extern void TILE_NextFrame();

#ifdef NESVIDEOS_TRACKING
# define TILE_ClearScroll(H,V) H=V=0
#else
# define TILE_ClearScroll(H,V)
#endif

#ifdef __cplusplus
}
#endif
